> # NAME

> cgGetIntStateAssignmentValues - get an int-valued state assignment's values

> # SYNOPSIS

>       #include <Cg/cg.h>

>       const int * cgGetIntStateAssignmentValues( CGstateassignment sa,
>                                                  int * nvalues );

> # PARAMETERS

> sa

>   The state assignment from which the values will be retrieved.

> nvalues

>   Pointer to integer where the number of values returned will be stored.

> # RETURN VALUES

> Returns a pointer to an array of int values. The number of values in the array is returned via the nvalues parameter.

> Returns NULL if an error occurs or if no values are available. nvalues will be 0 in the latter case.

> # DESCRIPTION

> cgGetIntStateAssignmentValues allows the application to retrieve the value(s) of an integer typed state assignment.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> CG_INVALID_PARAMETER_ERROR is generated if nvalues is NULL.

> CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of an integer type.

> # HISTORY

> cgGetIntStateAssignmentValues was introduced in Cg 1.4.

> # SEE ALSO

> cgGetStateAssignmentState, cgGetStateType, cgGetFloatStateAssignmentValues, cgGetBoolStateAssignmentValues, cgGetStringStateAssignmentValue, cgGetProgramStateAssignmentValue, cgGetSamplerStateAssignmentValue, cgGetTextureStateAssignmentValue